POST api/NTMedical/SaveTriageInfo
Request Information
URI Parameters
None.
Body Parameters
EncounterTriageDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| CaseNo | integer |
None. |
|
| MedicalId | integer |
None. |
|
| Allergies | integer |
None. |
|
| DescribeAallergies | string |
String length: inclusive between 0 and 4000 |
|
| PatientMedication | boolean |
None. |
|
| DescribePatient | string |
String length: inclusive between 0 and 4000 |
|
| PreviousInjuries | string |
String length: inclusive between 0 and 4000 |
|
| EncounterId | integer |
None. |
|
| PatientPMHx | boolean |
None. |
|
| DescribePatientFMHx | string |
String length: inclusive between 0 and 4000 |
|
| PatientSurgHx | boolean |
None. |
|
| DescribePatientSurgHx | string |
String length: inclusive between 0 and 4000 |
|
| PatientSoclHx | boolean |
None. |
|
| DescribePatientSoclHx | string |
String length: inclusive between 0 and 4000 |
|
| Weight | decimal number |
None. |
|
| Height | string |
String length: inclusive between 0 and 100 |
|
| HeightInch | string |
String length: inclusive between 0 and 100 |
|
| DescribePatientPMHx | string |
String length: inclusive between 0 and 4000 |
|
| PatientFMHx | boolean |
None. |
|
| HeightUnit | string |
String length: inclusive between 0 and 50 |
|
| WeightUnit | string |
String length: inclusive between 0 and 50 |
|
| TempUnit | string |
String length: inclusive between 0 and 50 |
|
| IsEditable | boolean |
None. |
|
| Note | string |
String length: inclusive between 0 and 4000 |
|
| CompanyCode | string |
String length: inclusive between 0 and 20 |
|
| TriageCloseByName | string |
String length: inclusive between 0 and 60 |
|
| PainScale | integer |
None. |
|
| PHIUpdatedDate | date |
None. |
|
| PHIUpdatedUserName | string |
None. |
|
| isTetanusScreeningCompleted | boolean |
None. |
|
| tetanusBoosterGiven | integer |
None. |
|
| isTetanusBoosterUpdateRequired | boolean |
None. |
|
| tetanusScreeningReasonForNA | integer |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"CaseNo": 2,
"MedicalId": 3,
"Allergies": 1,
"DescribeAallergies": "sample string 4",
"PatientMedication": true,
"DescribePatient": "sample string 5",
"PreviousInjuries": "sample string 6",
"EncounterId": 7,
"PatientPMHx": true,
"DescribePatientFMHx": "sample string 8",
"PatientSurgHx": true,
"DescribePatientSurgHx": "sample string 9",
"PatientSoclHx": true,
"DescribePatientSoclHx": "sample string 10",
"Weight": 1.0,
"Height": "sample string 11",
"HeightInch": "sample string 12",
"DescribePatientPMHx": "sample string 13",
"PatientFMHx": true,
"HeightUnit": "sample string 14",
"WeightUnit": "sample string 15",
"TempUnit": "sample string 16",
"IsEditable": true,
"Note": "sample string 18",
"CompanyCode": "sample string 19",
"TriageCloseByName": "sample string 20",
"PainScale": 1,
"PHIUpdatedDate": "2026-06-20T01:48:17.5531181-07:00",
"PHIUpdatedUserName": "sample string 21",
"isTetanusScreeningCompleted": true,
"tetanusBoosterGiven": 1,
"isTetanusBoosterUpdateRequired": true,
"tetanusScreeningReasonForNA": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T01:48:17.5531181-07:00",
"DateUpdated": "2026-06-20T01:48:17.5531181-07:00",
"UserIDCreated": 25,
"UserIDUpdated": 26,
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfEncounterTriageDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | EncounterTriageDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"CaseNo": 2,
"MedicalId": 3,
"Allergies": 1,
"DescribeAallergies": "sample string 4",
"PatientMedication": true,
"DescribePatient": "sample string 5",
"PreviousInjuries": "sample string 6",
"EncounterId": 7,
"PatientPMHx": true,
"DescribePatientFMHx": "sample string 8",
"PatientSurgHx": true,
"DescribePatientSurgHx": "sample string 9",
"PatientSoclHx": true,
"DescribePatientSoclHx": "sample string 10",
"Weight": 1.0,
"Height": "sample string 11",
"HeightInch": "sample string 12",
"DescribePatientPMHx": "sample string 13",
"PatientFMHx": true,
"HeightUnit": "sample string 14",
"WeightUnit": "sample string 15",
"TempUnit": "sample string 16",
"IsEditable": true,
"Note": "sample string 18",
"CompanyCode": "sample string 19",
"TriageCloseByName": "sample string 20",
"PainScale": 1,
"PHIUpdatedDate": "2026-06-20T01:48:17.5866816-07:00",
"PHIUpdatedUserName": "sample string 21",
"isTetanusScreeningCompleted": true,
"tetanusBoosterGiven": 1,
"isTetanusBoosterUpdateRequired": true,
"tetanusScreeningReasonForNA": 1,
"ValidFlag": true,
"DateCreated": "2026-06-20T01:48:17.5866816-07:00",
"DateUpdated": "2026-06-20T01:48:17.5866816-07:00",
"UserIDCreated": 25,
"UserIDUpdated": 26,
"IsExcludeDiscount": true
},
"totalCount": 3
}